fourmolu-0.18.0.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Imports.Grouping

# Documentation

data Import Source #

Constructors

Import |

Fields

- importName :: ModuleName
- importQualified :: Bool

prepareExistingGroups :: ImportGrouping -> Bool -> [LImportDecl GhcPs] -> [[LImportDecl GhcPs]] Source #

groupImports :: ImportGrouping -> Set ModuleName -> (x -> Import) -> [x] -> [[x]] Source #